{
  "name": "@git.zone/tsview",
  "version": "1.12.9",
  "private": false,
  "description": "A CLI tool for viewing S3 and MongoDB data with a web UI",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "author": "Lossless GmbH",
  "license": "MIT",
  "scripts": {
    "test": "pnpm run build && tstest test/ --verbose",
    "build": "pnpm run bundle && tsbuild --allowimplicitany",
    "bundle": "tsbundle",
    "startTs": "node cli.ts.js",
    "watch": "tswatch",
    "buildDocs": "tsdoc"
  },
  "bin": {
    "tsview": "cli.js"
  },
  "devDependencies": {
    "@api.global/typedsocket": "^4.1.2",
    "@git.zone/tsbuild": "^4.4.0",
    "@git.zone/tsbundle": "^2.10.0",
    "@git.zone/tsrun": "^2.0.1",
    "@git.zone/tstest": "^3.5.1",
    "@git.zone/tswatch": "^3.3.2",
    "@push.rocks/smartrx": "^3.0.10",
    "@types/node": "^25.5.0"
  },
  "dependencies": {
    "@api.global/typedrequest": "^3.3.0",
    "@api.global/typedrequest-interfaces": "^3.0.19",
    "@api.global/typedserver": "^8.4.6",
    "@aws-sdk/client-s3": "^3.1016.0",
    "@design.estate/dees-catalog": "^3.49.0",
    "@design.estate/dees-element": "^2.2.3",
    "@push.rocks/early": "^4.0.4",
    "@push.rocks/smartbucket": "^4.5.1",
    "@push.rocks/smartcli": "^4.0.20",
    "@push.rocks/smartconfig": "^6.0.1",
    "@push.rocks/smartdata": "^7.1.1",
    "@push.rocks/smartfile": "^13.1.2",
    "@push.rocks/smartlog": "^3.2.1",
    "@push.rocks/smartlog-destination-local": "^9.0.2",
    "@push.rocks/smartnetwork": "^4.4.0",
    "@push.rocks/smartopen": "^2.0.0",
    "@push.rocks/smartpath": "^6.0.0",
    "@push.rocks/smartpromise": "^4.2.3",
    "mongodb": "^7.1.1"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    ".smartconfig.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ],
  "repository": {
    "type": "git",
    "url": "https://code.foss.global/git.zone/tsview.git"
  },
  "bugs": {
    "url": "https://code.foss.global/git.zone/tsview/issues"
  },
  "homepage": "https://code.foss.global/git.zone/tsview#readme",
  "pnpm": {
    "overrides": {}
  }
}
